# Class Format.Field

java.lang.Object
java.text.AttributedCharacterIterator.Attribute
java.text.Format.Field

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DateFormat.Field, MessageFormat.Field, NumberFormat.Field`

Enclosing class:
  `Format`

public static class Format.Field extends AttributedCharacterIterator.Attribute
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `Format.formatToCharacterIterator` and as field identifiers in `FieldPosition`.

Since:
  1.4
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class AttributedCharacterIterator.Attribute

`INPUT_METHOD_SEGMENT, LANGUAGE, READING`
Modifier and Type
Field
Description
`static final AttributedCharacterIterator.Attribute`
`INPUT_METHOD_SEGMENT`
Attribute key for input method segments.
`static final AttributedCharacterIterator.Attribute`
`LANGUAGE`
Attribute key for the language of some text.
`static final AttributedCharacterIterator.Attribute`
`READING`
Attribute key for the reading of some text.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Field(String name)`
Creates a Field with the specified name.

## Method Summary

### Methods declared in class AttributedCharacterIterator.Attribute

`equals, getName, hashCode, readResolve, toString`
Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
Compares two objects for equality.
`protected String`
`getName()`
Returns the name of the attribute.
`final int`
`hashCode()`
Returns a hash code value for the object.
`protected Object`
`readResolve()`
Resolves instances being deserialized to the predefined constants.
`String`
`toString()`
Returns a string representation of the object.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### Field

protected Field(String name)
Creates a Field with the specified name.

Parameters:
  `name` - Name of the attribute